# Function isNumber

- isNumber(value: any): boolean

  Determines if a reference is a `Number`.

  This includes the "special" numbers `NaN`, `+Infinity` and `-Infinity`.

  If you wish to exclude these then you can use the native `isFinite' method.

  #### Parameters

  - value: any

    Reference to check.

  #### Returns boolean

  True if `value` is a `Number`.

  - Defined in src/shared/utils.js:160